API references
Search documentation... ⌘K
API references
Merchant API

Find bank account

Find a bank account by its ID. The bankaccountid can be either the internal UID (starting with 'bka_') or your own external ID.

This endpoint returns both active and soft-deleted bank accounts from the merchant's directory.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-bank-account HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
bank_account_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
bank_account_id string

Required. The bank account ID (either internal UID starting with 'bka_' or your external ID) to find.

Response attributes
Attribute Description
bank_account_id
string

The ID of the bank account.

bank_code
string

The bank code identifying the financial institution.

number
string

The bank account number.

name
string

The name of the account holder.

country_code
string

The ISO country code where the bank account is located.

created_at
number

The Unix timestamp (seconds since epoch) when the bank account was created.

deleted_at
number

Nullable. The Unix timestamp (seconds since epoch) when the bank account was deleted.

deletable
boolean

Whether the bank account can be deleted. A bank account is deletable if it is not the primary bank account, or if it is the primary bank account but it is the only bank account for the contact.

Errors specific to this endpoint
NOT_FOUND

No bank account found with the provided bankaccountid in this merchant's directory. The bank account may not exist or may not belong to the merchant's directory.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.